# visgeo_lms

**visgeo_lms** is an interactive Python-based desktop tool for generating bivariate cartogram maps with built-in support for large language models (LLMs). It enables users to visualize, analyze, and interpret spatial data through both traditional GUI and AI-assisted workflows.

## Installation

You can install visgeo_lms using `pip`:

```bash
pip install visgeo_lms
After installation, simply launch the application from your terminal:
visgeo_lms
This will open a graphical user interface (GUI) where you can:

Upload a GeoJSON file;

Select two numeric variables for bivariate analysis;

Define classification breaks manually or using the natural breaks (Jenks) method;

Choose color ramps or input your own;

Preview and export an interactive HTML map;

(Optional) Enable the LLM-assisted mode for natural language guidance and interpretation.

Requirements
Python 3.8 or later

Compatible with Windows/macOS/Linux

Internet connection required for LLM support (via OpenAI API)